Index: trunk/source/visualization/management/src/CVS/Entries
===================================================================
--- trunk/source/visualization/management/src/CVS/Entries	(revision 1347)
+++ trunk/source/visualization/management/src/CVS/Entries	(revision 1348)
@@ -1,26 +1,26 @@
-/G4GraphicsSystemList.cc/1.4/Thu Jun 29 21:29:14 2006//Tgeant4-09-04-ref-00
-/G4Scene.cc/1.24/Wed Nov  4 12:49:16 2009//Tgeant4-09-04-ref-00
-/G4SceneHandlerList.cc/1.4/Thu Jun 29 21:29:18 2006//Tgeant4-09-04-ref-00
-/G4SceneList.cc/1.6/Thu Jun 29 21:29:20 2006//Tgeant4-09-04-ref-00
-/G4VGraphicsSystem.cc/1.11/Thu Jun 29 21:29:22 2006//Tgeant4-09-04-ref-00
-/G4VSceneHandler.cc/1.96/Fri Nov  5 16:00:11 2010//Tgeant4-09-04-ref-00
-/G4VViewer.cc/1.26/Tue Nov 17 14:37:06 2009//Tgeant4-09-04-ref-00
-/G4VVisCommand.cc/1.18/Thu Jun 29 21:29:28 2006//Tgeant4-09-04-ref-00
-/G4ViewParameters.cc/1.38/Fri Nov  5 16:00:11 2010//Tgeant4-09-04-ref-00
-/G4ViewerList.cc/1.4/Thu Jun 29 21:29:32 2006//Tgeant4-09-04-ref-00
-/G4VisCommands.cc/1.24/Mon Mar  9 12:42:00 2009//Tgeant4-09-04-ref-00
-/G4VisCommandsCompound.cc/1.40/Thu May 20 07:54:01 2010//Tgeant4-09-04-ref-00
-/G4VisCommandsGeometry.cc/1.4/Fri Jan  5 16:29:38 2007//Tgeant4-09-04-ref-00
-/G4VisCommandsGeometrySet.cc/1.8/Tue Jun 15 16:34:30 2010//Tgeant4-09-04-ref-00
-/G4VisCommandsScene.cc/1.70/Fri Nov 26 15:31:09 2010//Tgeant4-09-04-ref-00
-/G4VisCommandsSceneAdd.cc/1.84/Sat Nov  6 18:34:26 2010//Tgeant4-09-04-ref-00
-/G4VisCommandsSceneHandler.cc/1.32/Thu Jun 29 21:29:46 2006//Tgeant4-09-04-ref-00
-/G4VisCommandsViewer.cc/1.77/Sun Nov  7 11:14:07 2010//Tgeant4-09-04-ref-00
-/G4VisCommandsViewerSet.cc/1.53/Fri Nov  5 15:57:20 2010//Tgeant4-09-04-ref-00
-/G4VisFeaturesOfDAWNFILE.cc/1.6/Thu Jun 29 21:29:52 2006//Tgeant4-09-04-ref-00
-/G4VisFeaturesOfFukuiRenderer.cc/1.5/Thu Jun 29 21:29:54 2006//Tgeant4-09-04-ref-00
-/G4VisFeaturesOfOpenGL.cc/1.6/Wed Oct  3 14:21:55 2007//Tgeant4-09-04-ref-00
-/G4VisFeaturesOfOpenInventor.cc/1.5/Thu Jun 29 21:29:58 2006//Tgeant4-09-04-ref-00
-/G4VisStateDependent.cc/1.6/Thu Jun 29 21:30:02 2006//Tgeant4-09-04-ref-00
-/G4VisManager.cc/1.131/Wed Dec 22 14:26:53 2010//Tgeant4-09-04-ref-00
+/G4GraphicsSystemList.cc/1.4/Thu Jun 29 21:29:14 2006//
+/G4Scene.cc/1.24/Wed Nov  4 12:49:16 2009//
+/G4SceneHandlerList.cc/1.4/Thu Jun 29 21:29:18 2006//
+/G4SceneList.cc/1.6/Thu Jun 29 21:29:20 2006//
+/G4VGraphicsSystem.cc/1.11/Thu Jun 29 21:29:22 2006//
+/G4VSceneHandler.cc/1.96/Fri Nov  5 16:00:11 2010//
+/G4VViewer.cc/1.26/Tue Nov 17 14:37:06 2009//
+/G4VVisCommand.cc/1.18/Thu Jun 29 21:29:28 2006//
+/G4ViewParameters.cc/1.38/Fri Nov  5 16:00:11 2010//
+/G4ViewerList.cc/1.4/Thu Jun 29 21:29:32 2006//
+/G4VisCommands.cc/1.24/Mon Mar  9 12:42:00 2009//
+/G4VisCommandsCompound.cc/1.40/Thu May 20 07:54:01 2010//
+/G4VisCommandsGeometry.cc/1.4/Fri Jan  5 16:29:38 2007//
+/G4VisCommandsGeometrySet.cc/1.8/Tue Jun 15 16:34:30 2010//
+/G4VisCommandsScene.cc/1.71/Mon Jan  3 14:38:18 2011//
+/G4VisCommandsSceneAdd.cc/1.85/Mon Jan  3 14:38:18 2011//
+/G4VisCommandsSceneHandler.cc/1.32/Thu Jun 29 21:29:46 2006//
+/G4VisCommandsViewer.cc/1.77/Sun Nov  7 11:14:07 2010//
+/G4VisCommandsViewerSet.cc/1.53/Fri Nov  5 15:57:20 2010//
+/G4VisFeaturesOfDAWNFILE.cc/1.6/Thu Jun 29 21:29:52 2006//
+/G4VisFeaturesOfFukuiRenderer.cc/1.5/Thu Jun 29 21:29:54 2006//
+/G4VisFeaturesOfOpenGL.cc/1.6/Wed Oct  3 14:21:55 2007//
+/G4VisFeaturesOfOpenInventor.cc/1.5/Thu Jun 29 21:29:58 2006//
+/G4VisManager.cc/1.131/Wed Dec 22 14:26:53 2010//
+/G4VisStateDependent.cc/1.6/Thu Jun 29 21:30:02 2006//
 D
Index: trunk/source/visualization/management/src/G4VisCommandsScene.cc
===================================================================
--- trunk/source/visualization/management/src/G4VisCommandsScene.cc	(revision 1347)
+++ trunk/source/visualization/management/src/G4VisCommandsScene.cc	(revision 1348)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4VisCommandsScene.cc,v 1.70 2010/11/13 10:52:00 allison Exp $
+// $Id: G4VisCommandsScene.cc,v 1.71 2010/12/11 16:53:20 allison Exp $
 // GEANT4 tag $Name:  $
 
@@ -545,4 +545,6 @@
 	for (G4int iV = 0; iV < nViewers; iV++) {
 	  G4VViewer* aViewer = viewerList [iV];
+	  // Force rebuild of graphical database, if any.
+	  aViewer -> NeedKernelVisit();
 	  if (aViewer->GetViewParameters().IsAutoRefresh()) {
 	    aSceneHandler -> SetCurrentViewer (aViewer);
@@ -562,6 +564,4 @@
 	    // uncomment the next line.
 	    //aSceneHandler->ClearTransientStore();
-	    // Now, force rebuild of graphical database, if any, and re-draw.
-	    aViewer -> NeedKernelVisit();
 	    aViewer -> SetView ();
 	    aViewer -> ClearView ();
Index: trunk/source/visualization/management/src/G4VisCommandsSceneAdd.cc
===================================================================
--- trunk/source/visualization/management/src/G4VisCommandsSceneAdd.cc	(revision 1347)
+++ trunk/source/visualization/management/src/G4VisCommandsSceneAdd.cc	(revision 1348)
@@ -25,5 +25,5 @@
 //
 //
-// $Id: G4VisCommandsSceneAdd.cc,v 1.84 2010/11/06 18:34:26 allison Exp $
+// $Id: G4VisCommandsSceneAdd.cc,v 1.85 2010/12/11 16:50:10 allison Exp $
 // GEANT4 tag $Name:  $
 // /vis/scene commands - John Allison  9th August 1998
@@ -66,6 +66,10 @@
 #include "G4TransportationManager.hh"
 #include "G4PropagatorInField.hh"
+#include "G4Trajectory.hh"
+#include "G4TrajectoryPoint.hh"
 #include "G4RichTrajectory.hh"
 #include "G4RichTrajectoryPoint.hh"
+#include "G4SmoothTrajectory.hh"
+#include "G4SmoothTrajectoryPoint.hh"
 #include "G4AttDef.hh"
 #include "G4ios.hh"
@@ -1459,12 +1463,19 @@
   UImanager->SetVerboseLevel(keepVerbose);
 
-  if (rich) {
-    if (verbosity >= G4VisManager::warnings) {
-      G4cout <<
-	"Attributes available for modeling and filtering with"
-	"\n\"/vis/modeling/trajectories/create/drawByAttribute\" and"
-	"\n\"/vis/filtering/trajectories/create/attributeFilter\" commands:\n"
-	     << G4RichTrajectory().GetAttDefs()
+  if (verbosity >= G4VisManager::warnings) {
+    G4cout <<
+      "Attributes available for modeling and filtering with"
+      "\n\"/vis/modeling/trajectories/create/drawByAttribute\" and"
+      "\n\"/vis/filtering/trajectories/create/attributeFilter\" commands:"
+	   << G4endl;
+    if (rich) {
+      G4cout << G4RichTrajectory().GetAttDefs()
 	     << G4RichTrajectoryPoint().GetAttDefs();
+    } else if (smooth) {
+      G4cout << G4SmoothTrajectory().GetAttDefs()
+	     << G4SmoothTrajectoryPoint().GetAttDefs();
+    } else {
+      G4cout << G4Trajectory().GetAttDefs()
+	     << G4TrajectoryPoint().GetAttDefs();
     }
   }
